100 rem Harness for DOX, V0.04, pjwitte 2oi7-2o24
102 :
104 :
106 rem     Init - set up themes and choose one at random
108 :
110 DIM thms$(6, 10)
112 FOR i = 0 TO 3: thms$(i) = i
114 thms$(4) = 'black'
116 thms$(5) = 'blue'
118 thms$(6) = 'copper'
120 RANDOMISE DATE
122 thm$ = thms$(RND(0 TO DIMN(thms$)))
124 :
126 rem     Unless run in job#0; open a simple window to display result
128 :
130 IF JOBID THEN
132  ch = FOPEN(#0; "con_"): CLS#ch
134  OUTL#ch
136  x% = 32 + 224 - 125: y% = 16 + 90
138 ELSE
140  CLCHP: ch = 0
142  x% = -1: y% = -1: RDPT#ch; 48, x%, y%
144 END IF
146 :
148 :
150 rem     Build command line
152 :
154 mach = MACHINE
156 SELect ON mach
158  = 20: IF 'windows' INSTR emu_hostos$: sep$ = '\': ELSE : sep$ = '/'
160    od4$ = nfa_use$(4)
162    nfa_use 4, '.\'
164    nd4$ = nfa_use$(4): rem Pre-V3.01 bug
166    cl$ = '/N' & nd4$
168  = 30: od4$ = DOS_DRIVE$(4)
170    DOS_DRIVE 4, "%PROGRAMW6432%\QPC2\"
172    cl$ = '/N ' & DOS_DRIVE$(4)
174  = REMAINDER : PRINT#ch; 'This only works on QPC2 or SMSQMulator!'
176    PAUSE#ch: QUIT
178 END SELect
180 :
182 cl$ = cl$ & ' /X' & x% & ' /Y' & y% & ' /D4 /F *win* /SN '
184 adr = ALCHP(202): rem Return buffer needs to be at least this long
186 cl$ = cl$ & '/R ' & HEX$(adr, 32)
188 :
190 IF thm$ INSTR '0123' THEN
192  p$ = thm$
194 ELSE
196  thm$ = DUP$(HOME_DIR$) & 'thm_' & thm$ & '_thb'
198  er = PalSet(thm$): IF er < 0: CLCHP: ERT -15
200  p$ = HEX$(er, 32)
202 END IF
204 :
206 cl$ = cl$ & ' /P' & p$
208 :
210 :
212 rem     Now do it
214 :
216 id = FEX_M(HOME_DIR$ & 'DOX_obj'; cl$)
218 :
220 REPeat hl
222  RDPT#ch; 6
224  IF LEN(JOB$(id)) = 0: EXIT hl
226  PTOP#ch; id
228 END REPeat hl
230 :
232 rem     Restore drive names
234 SELect ON mach
236  = 20: nfa_use 4, od4$
238  = 30: DOS_DRIVE 4, od4$
240 END SELect
242 :
244 dnm$ = StrPeek$(adr): PRINT#ch; dnm$
246 IF JOBID: PAUSE#ch: QUIT: ELSE : CLCHP
248 :
250 :
252 rem     Help routines:
254 :
256 rem     Load and set (binary) palette
258 :
260 DEFine FuNction PalSet(pal$)
262 LOCal pal
264 IF FLEN(\ pal$) <> SP_GETCOUNT * 2: RETurn -15
266 pal = ALCHP(SP_GETCOUNT * 2)
268 LBYTES pal$, pal
270 SP_JOBOWNPAL -1, pal
272 RETurn pal
274 END DEFine PalSet
276 :
278 :
280 rem     Up directory
282 :
284 DEFine FuNction DUP$(dir$)
286 LOCal i%, l%
288 l% = LEN(dir$)
290 IF dir$(l%) = '_': l% = l% - 1
292 FOR i% = l% TO 1 STEP -1
294  IF dir$(i%) = '_': EXIT i%
296 END FOR i%
298 IF i% > 5: RETurn dir$(1 TO i%)
300 RETurn dir$(1 TO i%)
302 END DEFine DUP$
304 :
306 rem     Peek a string
308 :
310 DEFine FuNction StrPeek$(adr)
312 RETurn PEEK$(adr + 2, PEEK_W(adr))
314 END DEFine StrPeek$
316 :
318 :
