*       DOX Config Block Header
*
        section config

        xdef it_fix,it_anc,it_pox

cfg     dc.b    '<<QCFX>>01'    ID

name    dc.w    3
        dc.b    'DOX '          program name

ver     dc.w    $0004           version
        dc.b    '0.15'

*
* Item objects
*
* Anchor item
        dc.b    $02             type  (char)
        dc.b    'A'             selection keystroke
        dc.w    it_anc-*        -> item
        dc.w    0               -> preprocessing routine
        dc.w    0               -> post processing
        dc.w    dc_anc-*        -> description
        dc.w    at_anc-*        -> attributes

* Pox filename
        dc.b    $00             (string)
        dc.b    'B'
        dc.w    it_pox-*
        dc.w    0
        dc.w    0
        dc.w    dc_pox-*
        dc.w    at_pox-*

* Fix extension
        dc.b    $04             (code)
        dc.b    'X'
        dc.w    it_fix-*
        dc.w    0
        dc.w    0
        dc.w    dc_ext-*
        dc.w    at_ext-*
* 

        dc.w    -1
*
* Data
*
it_fix
        dc.b    0               fix extension On (+ve)/Off (0)

it_anc  dc.b    '4'             anchor drive (dft 4)

it_pox  dc.w    36+5+1          filename of Pox
        dc.w    7
        dc.b    'POX_obj                             '
        dc.b    '      '

*
* Meta
*
dc_anc  dc.w    43
        dc.b    'Enter the DOSn_ anchor device number '
        dc.b    '(1..8) '
at_anc  dc.w    %00000010       numeric

dc_pox  dc.w    50
        dc.b    'Enter the directory and filename of '
        dc.b    'the POX applet'
at_pox  dc.w    %100000000      filename

dc_ext  dc.w    24
        dc.b    'Fix extension separator?'
at_ext  dc.b    $02,'Y'         Yes/No menu
        dc.w    2
        dc.b    'On'
        dc.b    $00,'N'
        dc.w    3
        dc.b    'Off '
        dc.w    -1
o
*
        end
